Skip to main content
POST
/
v1
/
accounts
/
{account_id}
/
fx
/
quotes
Create FX Quote
curl --request POST \
  --url https://api.hopnow.io/v1/accounts/{account_id}/fx/quotes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "source_currency": "<string>",
  "target_currency": "<string>",
  "amount": "<string>",
  "amount_type": "<string>"
}
'
{
  "id": "<string>",
  "object": "<string>",
  "account_id": "<string>",
  "source_currency": "<string>",
  "target_currency": "<string>",
  "amount_type": "<string>",
  "source_amount": "<string>",
  "target_amount": "<string>",
  "all_in_rate": "<string>",
  "expires_at": "<string>",
  "executed_at": "<string>",
  "created": "<string>",
  "updated": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.hopnow.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

account_id
string
required
The account’s external ID (starts with acc_)

Request Body

source_currency
string
required
Currency to convert from (e.g., USD, EUR, USDC)
target_currency
string
required
Currency to convert to (e.g., EUR, USD, USDT)
amount
string
required
Amount to convert (decimal string, must be positive)
amount_type
string
required
Whether the amount is in source or target currency: source or target

Response

id
string
FX quote identifier (starts with fxq_)
object
string
Always returns "fx_quote"
account_id
string
Account ID
source_currency
string
Source currency code
target_currency
string
Target currency code
amount_type
string
Whether the amount is source or target
source_amount
string
Source currency amount (decimal)
target_amount
string
Target currency amount (decimal)
all_in_rate
string
All-in exchange rate including spread (decimal)
expires_at
string
ISO 8601 timestamp when quote expires
executed_at
string
ISO 8601 timestamp when quote was executed (null if not yet executed)
created
string
ISO 8601 timestamp when created
updated
string
ISO 8601 timestamp when last updated

Response Example

{
  "id": "fxq_1234567890abcdef",
  "object": "fx_quote",
  "account_id": "acc_1234567890abcdef",
  "source_currency": "USD",
  "target_currency": "EUR",
  "amount_type": "source",
  "source_amount": "1000.00",
  "target_amount": "855.69",
  "all_in_rate": "0.85569",
  "expires_at": "2024-01-15T10:05:00Z",
  "executed_at": null,
  "created": "2024-01-15T10:00:00Z",
  "updated": "2024-01-15T10:00:00Z"
}